org.apache.ignite.internal.processors.cache.mvcc

## Class MvccFuture<T>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<T>
  - - org.apache.ignite.internal.processors.cache.mvcc.MvccFuture<T>

All Implemented Interfaces:
  IgniteInternalFuture<T>

Direct Known Subclasses:
  MvccSnapshotFuture

    public class MvccFuture<T>
    extends GridFutureAdapter<T>

### Field Summary

Fields
`protected UUID` `crdId`

### Constructor Summary

Constructors
Constructor and Description
`MvccFuture()` Default constructor.
`MvccFuture(UUID crdId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`UUID` `coordinatorNodeId()`
`void` `coordinatorNodeId(UUID crdId)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### crdId

    protected UUID crdId

### Constructor Detail

#### MvccFuture

    public MvccFuture()

Default constructor.

#### MvccFuture

    public MvccFuture(UUID crdId)

Parameters:
  `crdId` - MVCC coordinator node ID.

### Method Detail

#### coordinatorNodeId

    public UUID coordinatorNodeId()

Returns:
  MVCC coordinator node ID.

#### coordinatorNodeId

    public void coordinatorNodeId(UUID crdId)

Parameters:
  `crdId` - MVCC coordinator node ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<T>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022